> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.runoptions.md).

# RunOptions(DialogueOption\[],Action\<int>)

Method in [DialogueViewBase](/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase.md)

## Summary

Called by the [DialogueRunner](/2.0/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that a set of options should be displayed to the user.

```csharp
public virtual void RunOptions(DialogueOption[] dialogueOptions, Action<int> onOptionSelected)
```

## Remarks

When this method is called, the [DialogueRunner](/2.0/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) will pause execution until the \`onOptionSelected\` method is called.

If your scene includes multiple dialogue views that override this method, they will all receive a call each time the dialogue system presents options to the player. You must ensure that only one of them calls the `onOptionSelected` method.

## Parameters

| Name                                                                                                     | Description                                                        |
| -------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ |
| [Yarn.Unity.DialogueOption\[\]](/2.0/api/csharp/yarn.unity/yarn.unity.dialogueoption.md) dialogueOptions | The set of options that should be displayed to the user.           |
| `Action<int>` onOptionSelected                                                                           | A method that should be called when the user has made a selection. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.runoptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
